package in.cdac.medinfo.csnotk.csnolib.model;

import java.util.Date;

public class SimpleMapRefset extends Component {
	 
	/**
	 * Unique identifier for a Refset
	 */
	protected String refSetId;
	/**
	 * Refers to id of a component. It is mostly a SNOMED CT Concept Id
	 */
	protected Concept referencedComponent;
	/**
	 * Unique identifier for a SimpleMapRefset
	 */
	protected String mapTarget;
	/**
	 * Default constructor.
	 */
	protected SimpleMapRefset()
	{
		
	}
	/**
	 * Parameterized constructor.
	 * @param id
	 * 			 Id of the particular SNOMED CT SimpleMapRefset.
	 * @param effTime
	 * 			 Effective time associated with the SimpleMapRefset.
	 * @param status
	 * 			 Active status of the relationship (0 or 1).
	 * @param modId
	 * 			 represents module Id.
	 * @param referencedComponent
	 * 			 referencedComponent of the concept.
	 * @param refSetId
	 * 			 specifies the refSetId.
	 * @param mapTarget
	 * 			specifies the mapTarget.
	 */
	protected SimpleMapRefset(String id,Date effTime,Byte status,String modId,
 			String refSetId,Concept referencedComponent,String mapTarget)
	{
		super(id,effTime,status,modId);
		this.refSetId=refSetId;
		this.referencedComponent=referencedComponent;
		this.mapTarget=mapTarget;
	}
	/**
	 * 
	 * @return a unique identifier for this relationship.
	 */
	public String getId() {
		return super.getId();
	}
	/**
	 * sets the Id of the relationship.
	 */
	public void setId(String id) {
		super.setId(id);
	}
	/**
	 * Retrieves the status of the Relationship.
	 */
	public Byte getActiveStatus()
	{
		return super.getActiveStatus();
	}
	/**
	 * sets the Relationship status.
	 */
	public void setActiveStatus(Byte activeStatus)
	{
		super.setActiveStatus(activeStatus);
	}
	/**
	 * returns the module Id of the Relationship.
	 */
	public String getModuleId()
	 {
		 return super.getModuleId();
	 }
	/**
	 * sets the module Id of the SimpleMapRefset.
	 */
	 public void setModuleId(String modId)
	 {
		 super.setModuleId(modId);
	 }
	 /**
	  * returns the effective time of the SimpleMapRefset.
	  */
	 public Date getTime()
	 {
		 return super.getTime();
	 }
	 /**
	  * sets the effective time.
	  */
	 public void setTime(Date date)
	 {
		 super.setTime(date);
	 }
	/**
	 * Returns id of the Refset
	 * @return id of a Refset 
	 */
	public String getRefSetId() {
		return refSetId;
	}
	/**
	 * Sets the Refset Id
	 * @param refSetId
	 * 				 Id of a Refset 
	 */
	public void setRefSetId(String refSetId) {
		this.refSetId = refSetId;
	}
	/**
	 * Returns the referenced Component Id.
	 * @return the identifier of the source {@link Concept} of this SimpleMapRefset.
	 */
	public Concept getreferencedComponent() {
		return referencedComponent;
	}
	/**
	 * Sets the source referenced Component Id.
	 * @param referencedComponent
	 * 						 Id of the referencedComponent concept.
	 */
	public void setreferencedComponent(Concept referencedComponent) {
		this.referencedComponent = referencedComponent;
	}
	/**
	 * Returns mapTarget of the SimpleMapRefset
	 * @return mapTarget of a SimpleMapRefset 
	 */
	public String getMapTarget() {
		return mapTarget;
	}
	/**
	 * Sets the SimpleMapRefset mapTarget
	 * @param mapTarget
	 * 				 mapTarget of a SimpleMapRefset 
	 */
	public void setMapTarget(String mapTarget) {
		this.mapTarget = mapTarget;
	}	
}
